| semilimes mcu sdk 1.1.2 semilimes Software Development Kit for microcontrollers

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Device Class Reference

## Public Member Functions
void | set (char *deviceId, char *name)
void | gpioTypeIndex (char *gpioType, char *GPIOTypeIndex)
void | addGPIO (char *name, char *GPIOType, char *portName, char *pinNumber, char *pullType)
void | appendGPIOs ()
void | addFunction (char *name, char *functionName)
void | addFunction (char *name, char *functionName, char *arg1)
void | addFunction (char *name, char *functionName, char *arg1, char *arg2)
void | appendFunctions ()
char * | get ()

## Public Attributes
char | GPIOType [5][10] = {"out", "in", "analogIn", "analogOut", "pwm"}
char | pullType [3][5] = {"none", "up", "down"}

## Member Function Documentation

## ◆ addFunction()

void Device::addFunction | ( | char * | name,
|  | char * | functionName )

Parameters

  name | - the name of theobject
  functionName | - the name of the method to call
  arg1 | - the first argument of the function
  arg2 | - the second argument of the function

Returns
  void

## ◆ addGPIO()

void Device::addGPIO | ( | char * | name,
|  | char * | GPIOType,
|  | char * | portName,
|  | char * | pinNumber,
|  | char * | pullType )

Parameters

  name | - the name of the device
  GPIOType | - the type of the pin: char pinTypes[5][10] = {"out", "in", "analogIn", "analogOut", "pwm"};
  portName | - the name of the Port
  pinNumber | - the pin number
  pullType | - the status of the pull resistors (none, up , down)

Returns
  void

## ◆ appendFunctions()

void Device::appendFunctions | ( |  | ) |

Returns
  void

## ◆ appendGPIOs()

void Device::appendGPIOs | ( |  | ) |

Returns
  void

## ◆ get()

char * Device::get | ( |  | ) |

Returns
  char*

## ◆ gpioTypeIndex()

void Device::gpioTypeIndex | ( | char * | gpioType,
|  | char * | GPIOTypeIndex )

Parameters

  gpioType | - the type of the pin: char pinTypes[5][10] = {"out", "in", "analogIn", "analogOut", "pwm"};
  GPIOTypeIndex | - the corresponding index to the GPIOtype

Returns
  void

## ◆ set()

void Device::set | ( | char * | deviceId,
|  | char * | name )

Parameters

  deviceId | - it is the device Id
  name | - it is the name of the device

Returns
  void

## Member Data Documentation

## ◆ GPIOType

char Device::GPIOType[5][10] = {"out", "in", "analogIn", "analogOut", "pwm"}

Parameters

  char | GPIOType[5][10] = {"out", "in", "analogIn", "analogOut", "pwm"};

## ◆ pullType

char Device::pullType[3][5] = {"none", "up", "down"}

Parameters

  char | pullType[3][5] = {"none", "up", "down"};

The documentation for this class was generated from the following files:

- C:/Users/flavio_unige/Desktop/semilimes MCU SDK/github/semilimes_mcu_sdk/src/device/device.h
- C:/Users/flavio_unige/Desktop/semilimes MCU SDK/github/semilimes_mcu_sdk/src/device/device.cpp